using System;
using System.Collections.Generic;
using System.Text;

namespace Generics2
{
   public interface IDataHandler<TRowType> where TRowType : new()
   {
      void AddRecord(TRowType record);
      void DeleteRecord(TRowType record);
      void UpdateRecord(TRowType record);
      void SelectRecord(TRowType record);
      List<TRowType> SelectRecords();
   }

   class MainClass
   {
      public static void Main(string[] args)
      {
      }
   }
}
